### Method

# Gio Socket set_multicast_loopback

since: 2.32

#### Declaration [src]

    void
    g_socket_set_multicast_loopback (
      GSocket* socket,
      gboolean loopback
    )

#### Description [src]

Sets whether outgoing multicast packets will be received by sockets listening on that multicast address on the same host. This is `TRUE` by default.

Available since: 2.32

Sets property | `Gio.Socket:multicast-loopback`

#### Parameters

`loopback`

  Type: `gboolean`

  Whether `socket` should receive messages sent to its multicast groups from the local host.